---
openapi: 3.0.0
info:
  title: IIRGD - Emissão da carteira de identidade
  description: "API de serviços do IIRGD, referentes a emissão da carteira de identidade,\
    \ que serão incorporados nos canais de atendimento do Poupatempo-SP."
  version: 1.0.0
servers:
- url: https://iirgd-rgdigital.api-hml.rota.sp.gov.br
  description: Homologação
security:
- IdpSP: []
paths:
  /emissao/rg-status:
    get:
      security:
      - IdpSP:
        - api:rotasp.iirgd.rgdigital
      tags:
      - Carteira de Identidade
      summary: Realiza a pesquisa do status atual do andamento da emissão do RG.
      parameters:
      - name: cpf
        in: query
        required: true
        schema:
          type: string
          example: "00399121838"
      - name: rg
        in: query
        required: true
        schema:
          type: string
          example: 54802442X7
      responses:
        "200":
          description: Consulta realizada com sucesso.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StatusEmissaoRg"
        "204":
          description: Recurso não encontrado.
        "400":
          $ref: "#/components/responses/ValidationError"
        "401":
          $ref: "#/components/responses/UnauthorizedError"
        "403":
          description: o token informado não tem acesso a operação.
        "500":
          $ref: "#/components/responses/InternalServerError"
components:
  responses:
    UnauthorizedError:
      description: Access token é invalido ou expirado
    ValidationError:
      description: Erro de validação
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                enum:
                - "400"
                type: string
              trace:
                description: Trace ID
                type: string
              messages:
                type: array
                items:
                  description: Mensagens de erro
                  type: string
    InternalServerError:
      description: Erro interno.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                enum:
                - "500"
                type: string
              trace:
                description: Trace ID
                type: string
              messages:
                type: array
                items:
                  description: Mensagens de erro
                  type: string
  securitySchemes:
    IdpSP:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/token
          scopes:
            api:rotasp.iirgd.rgdigital: Scope utilizado para as operações
        authorizationCode:
          authorizationUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/auth
          tokenUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/token
          scopes:
            api:rotasp.iirgd.rgdigital: Scope utilizado para as operações
  schemas:
    StatusEmissaoRg:
      type: object
      properties:
        emitido:
          type: boolean
          example: true
        emissao:
          description: Data da emissão
          type: string
          example: 2024-03-11
        status:
          type: string
          example: Emitido - Aguarde entrega dos correios.
        via:
          type: string
          example: 2.a via
        rastreamento:
          description: Código de rastreamento correios
          type: string
          example: BK386784133BR
        statusEntrega:
          type: string
          example: Correio
